Bug 28381 - Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21)
Summary: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-18 21:11 UTC by Caroline Cyr La Rose
Modified: 2021-12-13 21:14 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This enhancement adds fields 710$a and 711$a to the default author index mapping when using Elasticsearch.
Version(s) released in:
21.11.00


Attachments
Bug 28381: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21) (1.01 KB, patch)
2021-05-18 21:15 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 28381: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21) (1.53 KB, patch)
2021-08-07 20:51 UTC, David Nind
Details | Diff | Splinter Review
Bug 28381: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21) (1.57 KB, patch)
2021-08-10 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-05-18 21:11:13 UTC
Currently, the author index for MARC21 contains 100a, 110a, 111a, 245c and 700a.
I propose we also add 710a and 711a since 110a and 111a are there.
Comment 1 Caroline Cyr La Rose 2021-05-18 21:15:02 UTC
Created attachment 121135 [details] [review]
Bug 28381: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21)

This patch adds fields 710$a and 711$a to the default author mappings for elasticsearch indexing.

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings" 
and confirm
2b) Then reindex

3) Search for an author name found only in 710 using the Author index 
in advanced search
4) Repeat search for an author name in 711
Comment 2 David Nind 2021-08-07 20:51:48 UTC
Created attachment 123596 [details] [review]
Bug 28381: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21)

This patch adds fields 710$a and 711$a to the default author mappings for elasticsearch indexing.

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings"
and confirm
2b) Then reindex

3) Search for an author name found only in 710 using the Author index
in advanced search
4) Repeat search for an author name in 711

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-08-10 11:37:47 UTC
I wonder if $a is really enough when it comes to corporates and meetings. 

Thinking of:

https://www.loc.gov/marc/bibliographic/bd710.html
710ab

https://www.loc.gov/marc/bibliographic/bd711.html
711ae

But I think this is for a later patch as it would also require changing the indexing of the 1xx.
Comment 4 Katrin Fischer 2021-08-10 11:38:19 UTC
Created attachment 123676 [details] [review]
Bug 28381: Elasticsearch - Add 710 and 711 to default mappings for author index (MARC21)

This patch adds fields 710$a and 711$a to the default author mappings for elasticsearch indexing.

To test:
1) Apply patch
2) Reindex using rebuild_elasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings"
and confirm
2b) Then reindex

3) Search for an author name found only in 710 using the Author index
in advanced search
4) Repeat search for an author name in 711

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-16 10:04:58 UTC
Pushed to master for 21.11, thanks to everybody involved!